﻿/*Personal Addition*/

/* table --> change cursor when hovering row table */
table tr:not(:first-child) {
    cursor: pointer;
}

/* table --> remove hover effect on table header */
table tr:first-child {
    background-color: #F5F5F5;
}

/* table --> add sort icon */
table th a {
    padding-right: 20px;
    background: url(Images/icon-sort.png) right no-repeat;
}

/* table --> centering header */
th {
    text-align: center;
}

/* table --> remove hover background color in pagination*/
tr[class='pagination-ys'] :hover {
    background-color: #ffffff;
}

/* table --> remove underline on pagination button */
table a:not(.btn), .table a:not(.btn) {
    text-decoration: none; 
}

/* table --> pagination */
.pagination-ys {
    /*display: inline-block;*/
    padding-left: 0;
    margin: 20px 0;
    border-radius: 4px;
}

.pagination-ys table > tbody > tr > td {
    display: inline;
}

.pagination-ys table > tbody > tr > td > a,
.pagination-ys table > tbody > tr > td > span {
    position: relative;
    float: left;
    padding: 8px 12px;
    line-height: 1.42857143;
    text-decoration: none;
    color: #dd4814;
    background-color: #ffffff;
    border: 1px solid #dddddd;
    margin-left: -1px;
}

.pagination-ys table > tbody > tr > td > span {
    position: relative;
    float: left;
    padding: 8px 12px;
    line-height: 1.42857143;
    text-decoration: none;
    margin-left: -1px;
    z-index: 2;
    color: #aea79f;
    background-color: #f5f5f5;
    border-color: #dddddd;
    cursor: default;
}

.pagination-ys table > tbody > tr > td:first-child > a,
.pagination-ys table > tbody > tr > td:first-child > span {
    margin-left: 0;
    border-bottom-left-radius: 4px;
    border-top-left-radius: 4px;
}

.pagination-ys table > tbody > tr > td:last-child > a,
.pagination-ys table > tbody > tr > td:last-child > span {
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;
}

.pagination-ys table > tbody > tr > td > a:hover,
.pagination-ys table > tbody > tr > td > span:hover,
.pagination-ys table > tbody > tr > td > a:focus,
.pagination-ys table > tbody > tr > td > span:focus {
    color: #97310e;
    background-color: #eeeeee;
    border-color: #dddddd;
}

/* overlay loading - UpdateProggress */
#overlay {
    position: fixed;
    overflow: hidden;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    z-index: 1050;
    -webkit-overflow-scrolling: touch;
    outline: 0;
    background: #000;
    opacity: 0.5;
    filter: alpha(opacity=80);
}

#overlay img {
    position: absolute;
    top: 50%;
    left: 50%;
}

/* Sub Menu */
.dropdown-submenu {
    position: relative;
}

.dropdown-submenu > .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -6px;
    margin-left: -1px;
    -webkit-border-radius: 0 6px 6px 6px;
    -moz-border-radius: 0 6px 6px 6px;
    border-radius: 0 6px 6px 6px;
}

.dropdown-submenu > a:after {
    display: block;
    content: " ";
    float: right;
    width: 0;
    height: 0;
    border-color: transparent;
    border-style: solid;
    border-width: 5px 0 5px 5px;
    border-left-color: #cccccc;
    margin-top: 5px;
    margin-right: -10px;
}

.dropdown-submenu:hover > a:after {
    border-left-color: #555;
}

.dropdown-submenu.pull-left {
    float: none;
}

.dropdown-submenu.pull-left > .dropdown-menu {
    left: -100%;
    margin-left: 10px;
    -webkit-border-radius: 6px 0 6px 6px;
    -moz-border-radius: 6px 0 6px 6px;
    border-radius: 6px 0 6px 6px;
}

.dropdown-submenu-click {
  background-color: #dd4814;
  border-color: #bf3e11;
}

/* radio button */
span.radio {
    padding: 0px;
}

span.radio > input[type="radio"] {
    margin: 5px -5px 7px 0px;
}

span.radio > label {
    float: left;
    margin-right: 5px;
    margin-left: 5px;
    padding: 0px 5px 0px 10px;
}

.alert-custom {
    margin-top: 50px;
}